<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<artifactId>upcloud-base-wh-inbound</artifactId>
		<groupId>com.prolog.upcloud</groupId>
		<version>1.0.0.QINGNIU-SNAPSHOT</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>

	<artifactId>upcloud-base-wh-inbound-service</artifactId>
	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<maven.compiler.source>1.8</maven.compiler.source>
		<maven.compiler.target>1.8</maven.compiler.target>
	</properties>
	<dependencies>
		<dependency>
			<groupId>com.prolog.upcloud</groupId>
			<artifactId>upcloud-base-wh-inbound-facade</artifactId>
			<version>${project.version}</version>
			<exclusions>
				<exclusion>
					<groupId>com.googlecode.aviator</groupId>
					<artifactId>aviator</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
		    <groupId>org.springframework.boot</groupId>
		    <artifactId>spring-boot-starter-web</artifactId>
		    <exclusions>
				<exclusion>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-starter-logging</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.prolog.framework</groupId>
			<artifactId>plg-fx-starter</artifactId>
			<exclusions>
				<exclusion>
					<groupId>io.netty</groupId>
					<artifactId>netty-all</artifactId>
				</exclusion>
				<!-- <exclusion>
					<groupId>com.prolog.framework</groupId>
					<artifactId>plg-fx-starter-lcn</artifactId>
				</exclusion> -->
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.prolog.upcloud</groupId>
			<artifactId>base-wh-control-facade</artifactId>
			<version>3.0.1-SNAPSHOT</version>
		</dependency>
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-crypto</artifactId>
			<version>4.1.1</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<exclusions>
				<exclusion>
					<groupId>org.springframework.boot</groupId>
					<artifactId>spring-boot-starter-logging</artifactId>
				</exclusion>
			</exclusions>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>com.prolog.wms</groupId>
			<artifactId>prolog-common-base</artifactId>
			<version>${prolog.wms.version}</version>
		</dependency>
		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.4</version>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
			<version>1.2.49</version>
			<!-- <scope>test</scope> -->
		</dependency>
		<!--<dependency>-->
			<!--<groupId>com.taobao</groupId>-->
			<!--<artifactId>api</artifactId>-->
			<!--<version>auto_1608103519290-20210610</version>-->
			<!--<scope>system</scope>-->
			<!--<systemPath>${project.basedir}/src/main/resources/lib/taobao-sdk-java-auto_1608103519290-20210610.jar</systemPath>-->
		<!--</dependency>-->
	<dependency>
	  <groupId>com.taobao</groupId>
	  <artifactId>api</artifactId>
	  <version>auto_1703147872071-20240501</version>
	</dependency>
	<!--<dependency>-->
	  <!--<groupId>com.taobao</groupId>-->
	  <!--<artifactId>sdk</artifactId>-->
	  <!--<version>NEW_JAVA</version>-->
	<!--</dependency>-->
		<dependency>
			<groupId>com.prolog.cs</groupId>
			<artifactId>data-exchange</artifactId>
			<version>1.0.0.release</version>
			<type>pom</type>
		</dependency>
	<!-- 	<dependency>
		  <groupId>com.prolog.framework</groupId>
		  <artifactId>plg-fx-aviator</artifactId>
		</dependency> -->
		<dependency>
    	<groupId>com.googlecode.aviator</groupId>
		    <artifactId>aviator</artifactId>
		    <version>5.2.7</version>
		</dependency>
		<dependency>
			<groupId>com.prolog.cs</groupId>
			<artifactId>data-exchange-client</artifactId>
			<version>1.0.0.release</version>
		</dependency>
		<dependency>
			<groupId>com.prolog.upcloud</groupId>
			<artifactId>base-chain-facade</artifactId>
			<version>1.0.0-SNAPSHOT</version>
		</dependency>
		<dependency>
            <groupId>com.prolog</groupId>
            <artifactId>funcflow-sdk</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
		<dependency>
			<groupId>com.prolog.upcloud</groupId>
			<artifactId>common-facade</artifactId>
			<version>1.0.0-SNAPSHOT</version>
			<scope>compile</scope>
		</dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>outbound-facade</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>com.prolog.upcloud</groupId>
            <artifactId>upcloud-base-inventory-facade</artifactId>
            <version>${project.version}</version>
        </dependency>
        <!-- <dependency>
            <groupId>com.prolog</groupId>
            <artifactId>plg-fx-starter-lcn</artifactId>
            <version>2.1.0.release</version>
        </dependency> -->
		<dependency>
			<groupId>com.prolog</groupId>
			<artifactId>wms2eis</artifactId>
			<version>qingniu</version>
		</dependency>
        <dependency>
            <groupId>dom4j</groupId>
            <artifactId>dom4j</artifactId>
            <version>1.6.1</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>dom4j</groupId>
            <artifactId>dom4j</artifactId>
            <version>1.6.1</version>
        </dependency>
	</dependencies>

	<distributionManagement>
		<repository>
			<id>releases</id>
			<url>http://192.168.0.167:8081/repository/releases/</url>
		</repository>
		<snapshotRepository>
			<id>snapshots</id>
			<url>http://192.168.0.167:8081/repository/snapshots/</url>
		</snapshotRepository>
	</distributionManagement>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<version>2.0.4.RELEASE</version>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
				<configuration>
					<!-- <classifier>exec</classifier> -->
					<!-- <jvmArguments>-Dfile.encoding=UTF-8</jvmArguments> -->
					<executable>true</executable>
					<includeSystemScope>true</includeSystemScope>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-surefire-plugin</artifactId>
				<configuration>
					<skipTests>true</skipTests>
				</configuration>
			</plugin>
		</plugins>
		<resources>
			<resource>
				<directory>${basedir}/src/main/resources</directory>
				<filtering>true</filtering>
				<includes>
					<include>**/*.txt</include>
				</includes>
			</resource>
			<resource>
				<directory>${basedir}/src/main/resources</directory>
				<targetPath>config/</targetPath>
				<includes>
					<include>**/*.xml</include>
				</includes>
			</resource>
			<resource>
				<directory>${basedir}/src/main/resources</directory>
				<filtering>true</filtering>
				<includes>
					<include>**/*.properties</include>
				</includes>
			</resource>
			<resource>
				<directory>${basedir}/src/main/resources</directory>
				<excludes>
					<exclude>**/*.properties</exclude>
				</excludes>
			</resource>
			<resource>
				<directory>${basedir}/src/main/resources</directory>
				<targetPath>BOOT-INF/lib/</targetPath>
				<includes>
					<include>**/*.jar</include>
				</includes>
			</resource>
		</resources>
	</build>
</project>